Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2463 - nslookup's commands view, ls and finger don't work
Summary: nslookup's commands view, ls and finger don't work
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-01 11:13 UTC by Stepan Kasal
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-30 22:49:58 UTC


Attachments (Terms of Use)

Description Stepan Kasal 1999-05-01 11:13:29 UTC
In nslookup with bind-8 DNS server, you may see:
  > ls domain.org > file123
  ###
  Received 250 answers (0 records).
while it's actually 150 answers and 100 records.
And, again in nslookup:
  > view file123
gives you an grep's error message and no record is shown;
  > finger NAME
works as if no parameter was given.

I'm going to mail you a single patch for all bugs,
mail me if something fails.  Cheers!

Comment 1 Stepan Kasal 1999-05-01 11:56:59 UTC
I've found another bug:
> ls -d domain > file1
> ls -d domain > file2
produces two different files, namely the second one does not contain
the character '@' naming the first SOA record.
I'll include a fix of this bug in my patch when I send it (in a
minute, i hope).

Comment 2 Stepan Kasal 1999-05-01 11:58:59 UTC
Well, I've run "diff file1 file2" from my last comment, and it
showed that $ORIGIN directive is missing too in file2.
I'll fix it too.

Comment 3 Jeff Johnson 1999-05-30 22:49:59 UTC
Fixed (by applying patch) in bind-8.2-7. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.